Subject: Re: GCC snapshots and mmap problem [Re: GDB hangs on Win2K]
From: Chris Faylor <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 May 2000 17:34:57 -0400

On Thu, May 11, 2000 at 04:14:36PM -0500, Mumit Khan wrote:
>(gdb) where
>#0  0x61023023 in _size_of_stack_reserve__ ()
>Cannot access memory at address 0x2000000
				 ^^^^^^^^^
That's some kind of weird error in gdb that I think I have inadvertently
introduced.

I keep thinking I've fixed this but then it crops up again.

I've updated the gdb below.  Does it work any better?

ftp://ftp.cygnus.com/private/home/cgf/gdb.exe.bz2

FWIW, I know that there are still issues with random SIGTRAPs and gdb
seems to have lost the ability to debug an executable more than once
but it should be adequate for attaching to a running process.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]